=== debian/changelog ===
deepin-graphics-driver-manager (5.0.0-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 22 Jan 2021 11:08:54 +0800

deepin-graphics-driver-manager (5.0.0-1) unstable; urgency=low

  * ['Autobuild release-candidate: 1d36a1826605eb97eadf1b43ef125029412ecbe3']

 -- shuttle <shuttle@deepin.com>  Wed, 24 Jul 2019 17:11:08 +0000
